Description

- it is impossible so far to know what custom fields is assigned to a project (only to the tracker)

A custom field can be activated on a tracker depending or which project the issue is filed on. In the /project/ID/custom_fields.xml

request, all you get is a list of trackers the custom fields is assigned to, but not the list of projects it is assigned.

just like #16522, this also prevents the issue structure to be fully discovered automatically.

(BTW I also started a forum post about this: RESTful API missing some data to really be complete )

Related issues:

Related to Redmine - Feature #16522: RESTful API: Expose tracker standard fie... Closed

Is duplicate of Redmine - Feature #33301: Add option to include enabled issue... Closed

History

#1 - 2014-05-02 13:53 - Toshi MARUYAMA

- Related to Feature #16522: RESTful API: Expose tracker standard fields assignments added

#2 - 2016-05-18 21:30 - Anonymous

+1 to extend the API

#3 - 2016-06-16 06:56 - Toshi MARUYAMA

- Description updated

#4 - 2017-08-21 11:28 - Scott Little

I also would like to extend the API to have this information.

To be more precise about the description, at least for me (and I think the original poster) — what needs to be exposed is the issue custom fields that

are relevant for a project.

For me, it would actually be appropriate to have one the following values on the `custom_fields.:format` API result:

all_projects: [true|false]

project_ids: [list of ids]

#5 - 2020-06-17 10:46 - Tom Quern

This feature request is 6 years old. Are there any plans to eventually implement it?

An alternative approach to what was suggested above could be adding another parameter to the projects endpoint i.e.

/projects.xml?include=custom_fields. See here of other parameters already available: 

https://www.redmine.org/projects/redmine/wiki/Rest_Projects#Showing-a-project

That way the API would expose the same information as presented in the 'Issue tracking' tab in the '/projects/<your-project>/settings/issues' page

#6 - 2020-06-17 10:53 - Tom Quern

Or is this is duplicate (and fixed by) #33301 ?

#7 - 2020-06-17 11:45 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Fixed

Tom Quern wrote:

Or is this is duplicate (and fixed by) #33301 ?

 You are right. The feature will be available in the upcoming Redmine 4.2.0.

#8 - 2020-06-17 11:45 - Go MAEDA

- Is duplicate of Feature #33301: Add option to include enabled issue custom fields in projects#show API response added
